AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
ExecCommand Class
ExecCommand Constructor
ExecCommand Methods
ExecCommand Properties

| ExecCommand Class

Executes an application with the given options.
Returns whatever the application returns, or -2 if the application was not found.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
ExecCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ExecCommand : AGICommand

    Public Class ExecCommand
    	Inherits AGICommand

    public ref class ExecCommand : public AGICommand

    type ExecCommand =
        class
            inherit AGICommand
        end

The ExecCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ExecCommand(String) | Creates a new ExecCommand.
| ExecCommand(String, String) | Creates a new ExecCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Application | Get/Set the name of the application to execute.
| Options | Get/Set the options to pass to the application.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace